IllegalFormatPrecisionException (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.util, class: IllegalFormatPrecisionException
Keywords: java.util.IllegalFormatPrecisionException class

# Class IllegalFormatPrecisionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.util.IllegalFormatException
java.util.IllegalFormatPrecisionException

All Implemented Interfaces:
  `Serializable`

public non-sealed class IllegalFormatPrecisionException extends IllegalFormatException
Unchecked exception thrown when the precision is a negative value other than `-1`, the conversion does not support a precision, or the value is otherwise unsupported. If the precision is not representable by an `int` type, then the value `Integer.MIN_VALUE` will be used in the exception.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalFormatPrecisionException(int p)`
  Constructs an instance of this class with the specified precision.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getPrecision()`
  Returns the precision.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalFormatPrecisionException

    public IllegalFormatPrecisionException(int p)
    Constructs an instance of this class with the specified precision.
    Parameters:
      `p` - The precision

- ## Method Details

  - ### getPrecision

    public int getPrecision()
    Returns the precision. If the precision isn't representable by an `int`, then will return `Integer.MIN_VALUE`.
    Returns:
      The precision